> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Journey

> Get the step-by-step journey of a specific call



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/reporting/calls/call-journey
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/reporting/calls/call-journey:
    post:
      tags:
        - Reporting - Calls
      summary: Call Journey
      description: Get the step-by-step journey of a specific call
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                callId:
                  description: Call ID to retrieve the journey for
                  type: string
              additionalProperties: false
      responses:
        '200':
          description: Call journey steps
          content:
            application/json:
              schema:
                type: object
                properties:
                  callJourney:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          description: Event type (e.g. did, answer, transfer, hangup)
                        data:
                          type: string
                          description: Human-readable event description
                        timestamp:
                          type: string
                          description: Event timestamp (ISO 8601)
                      required:
                        - type
                        - data
                        - timestamp
                      additionalProperties: false
                required:
                  - callJourney
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````